export function openApp(url){
	// #ifdef H5
	window.location.href='com.hnsiyao.duanju://'
	// #endif
}
export function isAndroid(){
	const systemInfo = uni.getSystemInfoSync();
	const isA=systemInfo.platform === 'android'
	isAndroid=()=>{
		return isA
	}
	isA
}
export function isIos(){
	const systemInfo = uni.getSystemInfoSync();
	const isIOS = /iOS/.test(systemInfo.platform);
	isIos=()=>{
		return isIOS
	}
	return isIOS
}

export function returnIsSafari() {
	let res = uni.getSystemInfoSync();
	var ua = navigator.userAgent.toLowerCase();
	if (ua.indexOf('applewebkit') > -1 && ua.indexOf('mobile') > -1 && ua.indexOf('safari') > -1 &&
		ua.indexOf('linux') === -1 && ua.indexOf('android') === -1 && ua.indexOf('chrome') === -1 &&
		ua.indexOf('ios') === -1 && ua.indexOf('browser') === -1) {
		return true;
	} else {
		return false;
	}
}
